package cn.ibizlab.core.sample.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.sample.domain.IBIZSample0012;
import cn.ibizlab.core.sample.filter.IBIZSample0012SearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBIZSample0012] 服务对象接口
 */
public interface IIBIZSample0012Service extends IService<IBIZSample0012>{

    boolean create(IBIZSample0012 et) ;
    void createBatch(List<IBIZSample0012> list) ;
    boolean update(IBIZSample0012 et) ;
    void updateBatch(List<IBIZSample0012> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    IBIZSample0012 get(String key) ;
    IBIZSample0012 getDraft(IBIZSample0012 et) ;
    boolean checkKey(IBIZSample0012 et) ;
    boolean save(IBIZSample0012 et) ;
    void saveBatch(List<IBIZSample0012> list) ;
    Page<IBIZSample0012> searchDefault(IBIZSample0012SearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<IBIZSample0012> getIbizsample0012ByIds(List<String> ids) ;
    List<IBIZSample0012> getIbizsample0012ByEntities(List<IBIZSample0012> entities) ;
}


